QGIS Application - Bug report #18213

Processing modeler - undocked panes should be closed when the modeler is closed

2018-02-25 11:51 PM - Alister Hood

Status: Closed

Priority: Low

Assignee: Victor Olaya
Category: Processing/Modeller

Affected QGIS version:3.1(master)
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 26104

Description

If you undock the "inputs" pane (etc) it will stay open when you close the modeller.
After that, things can get weird, although | haven't tested thoroughly enough to detail exactly what happens in what situations (perhaps it
is partly operating system dependent - | tested briefly on Windows and with a slightly old nightly on Ubuntu under WSL):

- you can't close the floating panes (need to redock them and then restart qgis if there was more than one copy of one - see below).
- if you reopen the modeller you might be able to use the floating pane that is already open (or more likely | was just tricked by a new copy

of the floating pane opening above an old one), but

- you might get another instance of the floating pane, in which case you can't use the first instance. The first instance will also stay open

even if you dock the second one.

Associated revisions

Revision bfa3cab0 - 2018-02-26 10:52 AM - Nyall Dawson

[processing] Fix model docks are not removed when closing modeler

Actually caused by the modeler dialog never being deleted correctly.

Fixes #18213

History

#1 - 2018-02-26 03:20 AM - Alister Hood
- Affected QGIS version changed from 3.0.0 to 3.1(master)

Sorry, the main testing was on the latest osgeo4w64 nightly.

Although since a pre-3.0.0-release ubuntu nightly is also affected | presume 3.0.0 is too...

#2 - 2018-02-26 07:26 AM - Nyall Dawson
- Status changed from Open to In Progress

PR: https://github.com/qgis/QGIS/pull/6462

#3 - 2018-02-26 08:55 AM - Alexander Bruy

Probably duplicates #18189
https://github.com/qgis/QGIS/pull/6462

#4 - 2018-02-26 10:52 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|bfa3cab0bba55ac6d34b127878fb58f664cfe534.

#5 - 2018-03-01 12:32 PM - Giovanni Manghi
- Resolution set to fixed/implemented
